org.apache.sysds.runtime.compress.cost

## Class CostEstimatorFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.cost.CostEstimatorFactory

    public final class CostEstimatorFactory
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CostEstimatorFactory.CostType`

### Constructor Summary

Constructors
Constructor and Description
`CostEstimatorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ICostEstimate` `create(CompressionSettings cs, CostEstimatorBuilder costVector, int nRows, int nCols, double sparsity)`
`static ICostEstimate` `genDefaultCostCase(int nRows, int nCols, double sparsity, boolean isInSparkInstruction)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CostEstimatorFactory

    public CostEstimatorFactory()

### Method Detail

#### create

    public static ICostEstimate create(CompressionSettings cs,
                                       CostEstimatorBuilder costVector,
                                       int nRows,
                                       int nCols,
                                       double sparsity)

#### genDefaultCostCase

    public static ICostEstimate genDefaultCostCase(int nRows,
                                                   int nCols,
                                                   double sparsity,
                                                   boolean isInSparkInstruction)